Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(54)

Issue 2050343002: [regexp] Experimental support for regexp named captures (Closed)

Created:
2 years, 5 months ago by jgruber
Modified:
2 years, 5 months ago
Reviewers:
Yang
CC:
v8-reviews_googlegroups.com, Michael Hablich
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

[regexp] Experimental support for regexp named captures Named capture groups may be specified using the /(?<name>pattern)/u syntax, with named backreferences specified as /\k<name>/u. They're hidden behind the --harmony-regexp-named-captures flag, and are only enabled for unicode regexps. R=yangguo@chromium.org BUG= Committed: https://crrev.com/ae23436cbf21ff26b083f4d91b3322edc783d69a Cr-Commit-Position: refs/heads/master@{#36986}

Patch Set 1 #

Patch Set 2 : Proper fixed array cast #

Total comments: 2

Patch Set 3 : ZoneVector instead of Vector #

Patch Set 4 : static_cast<int> #

Total comments: 40

Patch Set 5 : Address comments & disable property creation for now #

Patch Set 6 : Remove invalid DCHECKs #

Total comments: 1

Patch Set 7 : Address comments, base on ZoneVector CL #

Patch Set 8 : Base on patchset #2 #

Patch Set 9 : Remove broken test #

Patch Set 10 : Use NewStringFromTwoByte overload #

Patch Set 11 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+394 lines, -21 lines) Patch
M src/bootstrapper.cc View 1 2 3 4 5 6 7 8 9 2 chunks +2 lines, -0 lines 0 comments Download
M src/factory.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M src/flag-definitions.h View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -0 lines 0 comments Download
M src/objects.h View 1 2 3 4 5 6 7 8 9 2 chunks +4 lines, -2 lines 0 comments Download
M src/regexp/jsregexp.h View 2 chunks +3 lines, -0 lines 0 comments Download
M src/regexp/jsregexp.cc View 1 2 3 4 2 chunks +9 lines, -0 lines 0 comments Download
M src/regexp/regexp-ast.h View 1 2 5 chunks +13 lines, -2 lines 0 comments Download
M src/regexp/regexp-parser.h View 1 2 3 4 4 chunks +34 lines, -2 lines 0 comments Download
M src/regexp/regexp-parser.cc View 1 2 3 4 5 6 7 8 9 13 chunks +211 lines, -10 lines 0 comments Download
M test/cctest/test-regexp.cc View 1 2 3 4 5 6 7 8 4 chunks +40 lines, -5 lines 0 comments Download
A test/mjsunit/harmony/regexp-named-captures.js View 1 2 3 4 1 chunk +76 lines, -0 lines 0 comments Download

Depends on Patchset:

Messages

Total messages: 58 (26 generated)
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2050343002/1
2 years, 5 months ago (2016-06-09 18:28:23 UTC) #2
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: v8_linux_dbg_ng on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_linux_dbg_ng/builds/7056) v8_linux_dbg_ng_triggered on ...
2 years, 5 months ago (2016-06-09 19:12:19 UTC) #4
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2050343002/20001
2 years, 5 months ago (2016-06-09 20:17:31 UTC) #6
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
2 years, 5 months ago (2016-06-09 20:43:35 UTC) #8
jgruber
Hi Yang, please take another look at this. Group names are now parsed straight into ...
2 years, 5 months ago (2016-06-09 23:17:24 UTC) #9
Yang
https://codereview.chromium.org/2050343002/diff/20001/src/regexp/regexp-parser.cc File src/regexp/regexp-parser.cc (right): https://codereview.chromium.org/2050343002/diff/20001/src/regexp/regexp-parser.cc#newcode757 src/regexp/regexp-parser.cc:757: Vector<byte> backing_store_; Can't we simply use a ZoneList here? ...
2 years, 5 months ago (2016-06-10 15:43:27 UTC) #10
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2050343002/40001
2 years, 5 months ago (2016-06-13 08:23:54 UTC) #12
jgruber
https://codereview.chromium.org/2050343002/diff/20001/src/regexp/regexp-parser.cc File src/regexp/regexp-parser.cc (right): https://codereview.chromium.org/2050343002/diff/20001/src/regexp/regexp-parser.cc#newcode757 src/regexp/regexp-parser.cc:757: Vector<byte> backing_store_; On 2016/06/10 15:43:27, Yang wrote: > Can't ...
2 years, 5 months ago (2016-06-13 08:26:00 UTC) #13
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: v8_linux64_avx2_rel_ng on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_linux64_avx2_rel_ng/builds/3052) v8_linux64_rel_ng on ...
2 years, 5 months ago (2016-06-13 08:27:24 UTC) #15
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2050343002/60001
2 years, 5 months ago (2016-06-13 08:43:43 UTC) #17
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
2 years, 5 months ago (2016-06-13 09:09:58 UTC) #19
Yang
https://codereview.chromium.org/2050343002/diff/60001/src/js/regexp.js File src/js/regexp.js (right): https://codereview.chromium.org/2050343002/diff/60001/src/js/regexp.js#newcode165 src/js/regexp.js:165: %RegExpResultAttachNamedCaptures(result, JSREGEXP); This is going to be fairly expensive, ...
2 years, 5 months ago (2016-06-13 10:54:53 UTC) #20
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2050343002/80001
2 years, 5 months ago (2016-06-13 13:02:02 UTC) #22
jgruber
https://codereview.chromium.org/2050343002/diff/60001/src/js/regexp.js File src/js/regexp.js (right): https://codereview.chromium.org/2050343002/diff/60001/src/js/regexp.js#newcode165 src/js/regexp.js:165: %RegExpResultAttachNamedCaptures(result, JSREGEXP); On 2016/06/13 10:54:52, Yang wrote: > This ...
2 years, 5 months ago (2016-06-13 13:10:00 UTC) #23
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: v8_linux_arm64_rel_ng on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_linux_arm64_rel_ng/builds/3049) v8_linux_arm64_rel_ng_triggered on ...
2 years, 5 months ago (2016-06-13 13:20:15 UTC) #25
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2050343002/100001
2 years, 5 months ago (2016-06-13 13:26:32 UTC) #27
Yang
lgtm https://codereview.chromium.org/2050343002/diff/60001/src/regexp/regexp-parser.cc File src/regexp/regexp-parser.cc (right): https://codereview.chromium.org/2050343002/diff/60001/src/regexp/regexp-parser.cc#newcode786 src/regexp/regexp-parser.cc:786: named_captures_ = new (zone()) ZoneList<RegExpCapture*>(1, zone()); On 2016/06/13 ...
2 years, 5 months ago (2016-06-13 13:38:00 UTC) #28
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
2 years, 5 months ago (2016-06-13 13:52:35 UTC) #30
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2050343002/120001
2 years, 5 months ago (2016-06-13 16:06:00 UTC) #32
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: v8_linux64_avx2_rel_ng on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_linux64_avx2_rel_ng/builds/3095) v8_linux64_rel_ng on ...
2 years, 5 months ago (2016-06-13 16:09:51 UTC) #34
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2050343002/140001
2 years, 5 months ago (2016-06-13 16:16:30 UTC) #36
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: v8_linux64_avx2_rel_ng on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_linux64_avx2_rel_ng/builds/3099) v8_linux64_avx2_rel_ng_triggered on ...
2 years, 5 months ago (2016-06-13 16:37:37 UTC) #38
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2050343002/160001
2 years, 5 months ago (2016-06-14 07:14:13 UTC) #40
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
2 years, 5 months ago (2016-06-14 07:43:04 UTC) #42
jgruber
https://codereview.chromium.org/2050343002/diff/60001/src/regexp/regexp-parser.cc File src/regexp/regexp-parser.cc (right): https://codereview.chromium.org/2050343002/diff/60001/src/regexp/regexp-parser.cc#newcode786 src/regexp/regexp-parser.cc:786: named_captures_ = new (zone()) ZoneList<RegExpCapture*>(1, zone()); On 2016/06/13 13:38:00, ...
2 years, 5 months ago (2016-06-14 07:53:12 UTC) #43
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2050343002/180001
2 years, 5 months ago (2016-06-14 12:11:23 UTC) #45
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2050343002/200001
2 years, 5 months ago (2016-06-14 12:15:16 UTC) #47
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
2 years, 5 months ago (2016-06-14 12:51:02 UTC) #49
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2050343002/200001
2 years, 5 months ago (2016-06-15 06:44:33 UTC) #52
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2050343002/200001
2 years, 5 months ago (2016-06-15 06:46:13 UTC) #55
commit-bot: I haz the power
Committed patchset #11 (id:200001)
2 years, 5 months ago (2016-06-15 06:48:40 UTC) #56
commit-bot: I haz the power
2 years, 5 months ago (2016-06-15 06:50:06 UTC) #58
Message was sent while issue was closed.
Patchset 11 (id:??) landed as
https://crrev.com/ae23436cbf21ff26b083f4d91b3322edc783d69a
Cr-Commit-Position: refs/heads/master@{#36986}

Powered by Google App Engine
This is Rietveld 408576698